Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://api.eu.bronto.io/users/{userId}/preferences \ --header 'Content-Type: application/json' \ --header 'X-BRONTO-API-KEY: <api-key>' \ --data ' { "favourites": { "monitors": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "dashboards": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "saved_searches": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ] }, "defaults": { "monitor": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "dashboard": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }, "features": {}, "preferred_org": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "timezone": "<string>", "filter_null_groups": "<string>" } '
{ "preferences": { "favourites": { "monitors": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "dashboards": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "saved_searches": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ] }, "defaults": { "monitor": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "dashboard": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }, "features": {}, "theme": "<string>", "preferred_org": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "timezone": "<string>", "filter_null_groups": "<string>" } }
Sets or updates specific user preferences without overwriting others.
Show child attributes
Updated preferences
Contact support